Loading...
Searching...
No Matches
Opm::ElementIndexHandle< Mapper > Class Template Reference

Communication handle to scatter the global index. More...

`#include <CollectDataOnIORank_impl.hpp>`

## Public Types

using | DataType = int

## Public Member Functions

| ElementIndexHandle (const Mapper &mapper, std::vector< int > &elementIndices)
bool | fixedSize (int, int)
template<class T>
std::size_t | size (const T &)
template<class B, class T>
void | gather (B &buffer, const T &t)
template<class B, class T>
void | scatter (B &buffer, const T &t, std::size_t)
bool | contains (int dim, int codim)

## Detailed Description

template<class Mapper>
class Opm::ElementIndexHandle< Mapper >

Communication handle to scatter the global index.

The documentation for this class was generated from the following file:

- opm/simulators/flow/CollectDataOnIORank_impl.hpp